Subject: Glossers, translators, and other tools ...

From: [email-masked]
Date: Sun, 17 Sep 2000 13:22:54 +0000

Coi rodo,

I've been thinking quite hard lately about what tools
I personally want in my (admittedly hopeless) pursuit
of pain-free lojban acquisition. The jury is generally
still out, although I now have some quite well-formed
ideas, but I've come to the definite conclusion that
the one thing I really really really don't want is a
translator.

It seems to me that there are two camps when it comes
to the term "glosser". There are some who have tried
to implement something, and they seem largely to have
produced a parse with brackets, and accompanied by a
collection of lookups. Certainly that's what I did,
and that description also seems to cover the on-line
"glosser". Of course, that kind of output doesn't
really mathc the dictionary definition of a "gloss",
but it can be read by those that already know some of
the grammar. What it isn't, is a "translation."

The other camp seems to be those who, by the term
"glosser," mean

"a translator that doesn't necessarily get
everything right, and may not produce
fully correct, idiomatic output."

This is closer to the dictionary definition, but is
it really what you want? Isn't everyone here trying
to learn (or have learned) lojban? Of what use is
a real translation?

What I personally want is to read the lojban, and
to be given the help I need in so doing. I'm lazy,
so I need to be forced to examine the original
structure, to try to memorise the vocabulary, to
see the lojbanic way of thinking. If I have a
half-way decent translation there's no way I'll
bother trying to read the lojban.

I freely admit that automatic translation from
lojban to English, French, Spanish, German, Hindi,
Russian, Hungarian, Lithuaian, Swedish, Finnish
and American would be a wonderful thing to have,
but I don't want it yet.

I'm working on a tool such as I want for learning
lojban, and I'm interested in hearing from people
their ideas on what they want to help them learn.
Please tell me how you want to learn. Do you want
a better LogFlash? A better glosser? If I give
you a piece of lojban that you can't read, what
tools do you want to help you?

Let me know at "lojban at solipsys dot co dot uk"

cdw.
-- 
\\// ze'uku ko jmive gi'e snada